#==============================================================================
# package      DE_EPAGES::ProductRecommendation::API::Attributes::Shop
# state        private
#==============================================================================
package DE_EPAGES::ProductRecommendation::API::Attributes::Shop;
use base qw( DE_EPAGES::Object::API::BaseAttribute );

use strict;
use DE_EPAGES::ShopMailType::API::ShopMailType qw( GetShopMailType );

sub getAttributes {
    shift;
    my ($Shop, $aNames) = @_;
    my $hInfo;
    while (my $Attribute = shift @{$aNames}) {
        if ($Attribute eq 'AllowRecommendations') {
            my $MailType = GetShopMailType($Shop, 'ProductRecommendation', 1);
            $hInfo->{$Attribute} = defined $MailType ? 1 : 0;
        }
        if ($Attribute eq 'AllowInquiries') {
            my $MailType = GetShopMailType($Shop, 'ProductInquiry', 1);
            $hInfo->{$Attribute} = defined $MailType ? 1 : 0;
        }
    }
    return $hInfo;
}

sub setAttributes {
    shift;
    my ($Shop, $hValues) = @_;
  
    foreach my $Attribute (qw ( AllowRecommendations AllowInquiries )) {
        if( defined $hValues->{$Attribute} ) {
            my $Alias;
            if( $Attribute eq 'AllowRecommendations' ) {
                $Alias = 'ProductRecommendation';
            } 
            elsif( $Attribute eq 'AllowInquiries' ) {
                $Alias = 'ProductInquiry';
            }
        
            if( $hValues->{$Attribute} ) {
                my $MailType  = GetShopMailType( $Shop, $Alias );
                $MailType->set({ 'IsActive' => 1 });
            } else {
                my $MailType  = GetShopMailType( $Shop, $Alias, 1 );
                $MailType->set({ 'IsActive' => 0 }) if defined $MailType;
            }
        }
    }
    return;
}

1;